Subject: WindowID should take conditions like Current

From: [email-masked]
Date: Tue, 16 Mar 1999 07:08:57 -0600 (CST)

Full_Name: Tim Phipps
Version: 2.2
CVS_Date: 
OS: 
X_Server: 
Submission from: (NULL) (194.202.174.12)

Now that FvwmEvent can pass the window-id to the functions
it calls it would be useful if the WindowID command could
take an optional condition like the Current command.  This
would enable conditional auto-raise/auto-focus based on window
name/class/resource e.g.

*FvwmEventCmd
*FvwmEventPassID
*FvwmEvent add_window add_event
AddToFunc add_event I WindowID $0 (xterm) FlipFocus
+ I WindowID $0 ("Netscape Download") Iconify
+ I WindowID $0 ("Geocities Popup") Close

--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]